public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/dafny-bin/
Date: Sun, 17 Sep 2023 19:32:59 +0000 (UTC)	[thread overview]
Message-ID: <1694978428.8db61c6368da21e397ff2fbd9a7157c917a88a25.xgqt@gentoo> (raw)

commit:     8db61c6368da21e397ff2fbd9a7157c917a88a25
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 17 09:42:22 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Sep 17 19:20:28 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8db61c63

dev-lang/dafny-bin: bump to 4.2.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-lang/dafny-bin/Manifest               |  1 +
 dev-lang/dafny-bin/dafny-bin-4.2.0.ebuild | 53 +++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-lang/dafny-bin/Manifest b/dev-lang/dafny-bin/Manifest
index 39e39c3242c6..a23e46ecac93 100644
--- a/dev-lang/dafny-bin/Manifest
+++ b/dev-lang/dafny-bin/Manifest
@@ -1,2 +1,3 @@
 DIST dafny-3.10.0-x64-ubuntu-16.04.zip 76468200 BLAKE2B d3b35260fca709f1808ec47874f5566dd2fc42af9a43354a97b86b8962b1b15c95df10f25fa8f0d6a12c83f5c12569aa981d56b796aeb1fd7563fc59c62d4259 SHA512 3f8e669025fd655a7709334876652176b3dce1eb980f1f797cf829fa53b125129a66a175d3a4fcc56aa276e28661c6d795ccc01901d0e457bdac754b29382ca3
 DIST dafny-3.12.0-x64-ubuntu-16.04.zip 76588835 BLAKE2B 144928b5e9a32c770d4552be31373defd1153a7ce481aa3948c5fe6c30ff2ce5f20b3d057a587c7762f3c37d63f683275fcf60bbd4ca3754f8713132b3bdfdc9 SHA512 2ea5f97b4fe0f8aaeefd16f739306482824f76ae6c5a37038fedda60bacb2496abc02715c0973a05f845972fd81aeb06e62c3c41d6908c2cf7416006ce8519d4
+DIST dafny-4.2.0-x64-ubuntu-20.04.zip 62475183 BLAKE2B d8be842c80bf0cbaaf6fb6b56c8a57f5a45b54dd1b1020fb5062a01ce4d5366bf2ff7a7847d1bdcd9a1217300cded0af0c88d1c6871d4b039178517c8f618dc3 SHA512 86a91592af1b386130855ed73bfb60ec2362bdcadacac43b27a4b2cc36dd6f0894508242357659f7a5120c66ba6438fe23acaef3a65dfbd0912d2438c851a7ca

diff --git a/dev-lang/dafny-bin/dafny-bin-4.2.0.ebuild b/dev-lang/dafny-bin/dafny-bin-4.2.0.ebuild
new file mode 100644
index 000000000000..0f5cd85b46af
--- /dev/null
+++ b/dev-lang/dafny-bin/dafny-bin-4.2.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Verification-aware programming language"
+HOMEPAGE="https://dafny.org/
+	https://github.com/dafny-lang/dafny/"
+SRC_URI="https://github.com/dafny-lang/dafny/releases/download/v${PV}/dafny-${PV}-x64-ubuntu-20.04.zip"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+REQUIRED_USE="elibc_glibc"
+
+RDEPEND="
+	!dev-lang/dafny
+	dev-libs/userspace-rcu
+	dev-util/lttng-ust:0/2.12
+	sci-mathematics/z3
+"
+BDEPEND="app-arch/unzip"
+
+S="${WORKDIR}/dafny"
+QA_PREBUILT="*"
+
+src_prepare() {
+	default
+
+	# Remove bundled z3.
+	# NOTICE: New versions do not need the bundled one but older versions
+	# hardcoded the path relative to "dafny" binary.
+	# While bumping make sure to verify that system's "z3" is used
+	# by, for example, compiling/verifying a simple dafny program.
+	rm -r z3 || die
+}
+
+src_install() {
+	local dest=/opt/dafny
+
+	insinto ${dest}
+	# Maybe too general, but this installation mode matched how it arrives.
+	insopts -m0755
+	doins "${S}"/*
+
+	local bin
+	for bin in DafnyServer dafny ; do
+		dosym ../../${dest}/${bin} /usr/bin/${bin}
+	done
+
+	# Make "dafny-server" clients happy.
+	dosym ../../${dest}/DafnyServer /usr/bin/dafny-server
+}


             reply	other threads:[~2023-09-17 19:33 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-09-17 19:32 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-22 22:04 [gentoo-commits] repo/gentoo:master commit in: dev-lang/dafny-bin/ Maciej Barć
2024-09-22 22:04 Maciej Barć
2024-08-01 16:47 Arthur Zamarin
2024-06-27 22:42 Maciej Barć
2024-04-29  0:06 Sam James
2024-03-29  3:06 Maciej Barć
2024-03-29  3:06 Maciej Barć
2024-03-20 19:30 Maciej Barć
2024-03-20 19:30 Maciej Barć
2024-01-18 17:25 Sam James
2023-12-13  2:27 Maciej Barć
2023-11-15 19:27 Maciej Barć
2023-11-15 19:27 Maciej Barć
2023-11-13 19:53 Sam James
2023-10-28 16:48 Arthur Zamarin
2023-09-30 14:24 Maciej Barć
2023-09-30 14:24 Maciej Barć
2023-09-18  0:17 Sam James
2023-09-16 14:48 Maciej Barć
2023-02-28 18:03 Maciej Barć
2023-02-21 23:54 Maciej Barć
2023-02-01 19:38 Sam James
2023-02-01 14:10 Maciej Barć
2023-02-01 14:09 Maciej Barć
2023-02-01 14:09 Maciej Barć
2022-12-15 21:51 Maciej Barć
2022-12-15 21:51 Maciej Barć
2022-11-18 20:38 Maciej Barć
2022-11-01  2:38 Maciej Barć
2022-11-01  2:38 Maciej Barć
2022-10-06  2:28 Maciej Barć
2022-10-06  1:59 Maciej Barć
2022-09-02  2:23 Maciej Barć
2022-09-02  2:23 Maciej Barć
2022-08-27  1:27 Maciej Barć
2022-08-27  1:27 Maciej Barć
2022-07-22  2:26 Maciej Barć
2022-07-19 19:32 Maciej Barć
2022-06-30 15:33 Maciej Barć
2022-06-30 13:13 Maciej Barć
2022-06-29 16:00 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1694978428.8db61c6368da21e397ff2fbd9a7157c917a88a25.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox